@use 'shop/resources/scss/base/constants/colors';
@use 'shop/resources/scss/base/mixins/breakpoints';
@use 'shop/resources/scss/base/mixins/typography';

.logo {
    order: 1;
}

.logoLink {
    @include typography.text(extra-large);

    display: flex;
    justify-content: center;
    align-items: center;
    color: colors.$color-archibald-blue;
}

.logoIcon {
    margin-right: 5px;
    height: 40px;
    width: 26px;
}

.search {
    order: 3;
    grid-column-start: span 3;

    @include breakpoints.screen-l-and-up {
        grid-column-start: inherit;
        order: 0;
    }
}

.icons {
    order: 2;
}

.navigation {
    order: 0;

    @include breakpoints.screen-l-and-up {
        grid-column-start: span 3;
        order: 3;
    }
}
